## org.h2.mvstore.rtree
Class MVRTreeMap.Builder<V>

    java.lang.Object
      org.h2.mvstore.rtree.MVRTreeMap.Builder<V>

Type Parameters:
  `V` - the value type

All Implemented Interfaces:
  MVMap.MapBuilder<MVRTreeMap<V>,SpatialKey,V>

Enclosing class:
  MVRTreeMap<V>

    public static class MVRTreeMap.Builder<V>

extends java.lang.Object
implements MVMap.MapBuilder<MVRTreeMap<V>,SpatialKey,V>

A builder for this class.

Constructor Summary
`MVRTreeMap.Builder()` Create a new builder for maps with 2 dimensions.

Method Summary
`MVRTreeMap<V>` `create()` Create a new map of the given type.
`MVRTreeMap.Builder<V>` `dimensions(int dimensions)` Set the dimensions.
`MVRTreeMap.Builder<V>` `valueType(StringDataType valueType)` Set the key data type.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MVRTreeMap.Builder

    public MVRTreeMap.Builder()

  Create a new builder for maps with 2 dimensions.

Method Detail

### dimensions

    public MVRTreeMap.Builder<V> dimensions(int dimensions)

  Set the dimensions.

  Parameters:
    `dimensions` - the dimensions to use
  Returns:
    this

### valueType

    public MVRTreeMap.Builder<V> valueType(StringDataType valueType)

  Set the key data type.

  Parameters:
    `valueType` - the key type
  Returns:
    this

### create

    public MVRTreeMap<V> create()

  Description copied from interface: `MVMap.MapBuilder`
  Create a new map of the given type.

  Specified by:
    `create` in interface `MVMap.MapBuilder<MVRTreeMap<V>,SpatialKey,V>`
  Returns:
    the map